Jump to content
Sign in to follow this  
reza22i

nvidia

Recommended Posts

заменил linux-image-2.6.32-5-486 на linux-image-2.6.32-5-686

После этого иксы не запускаются.

Failed to load NVIDIA kernel module.

Переустановка дров не помогает. Пробовал из репов и версию с сайта nvidia. Везде фейл.

Кусок лога xorg

(--) PCI:*(0:1:0:0) 10de:0407:0000:0000 nVidia Corporation G84 [GeForce 8600M GT] rev 161, Mem @ 0xc6000000/16777216, 0xd0000000/268435456, 0xc4000000/33554432, I/O @ 0x00002000/128

(II) Open ACPI successful (/var/run/acpid.socket)

(II) "extmod" will be loaded by default.

(II) "dbe" will be loaded by default.

(II) "glx" will be loaded. This was enabled by default and also specified in the config file.

(II) "record" will be loaded by default.

(II) "dri" will be loaded by default.

(II) "dri2" will be loaded by default.

(II) LoadModule: "glx"

(II) Loading /usr/lib/xorg/modules/extensions/libglx.so

(II) Module glx: vendor="NVIDIA Corporation"

compiled for 4.0.2, module version = 1.0.0

Module class: X.Org Server Extension

(II) NVIDIA GLX Module 195.36.31 Tue Jun 1 23:22:44 PDT 2010

(II) Loading extension GLX

(II) LoadModule: "extmod"

(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so

(II) Module extmod: vendor="X.Org Foundation"

compiled for 1.7.7, module version = 1.0.0

Module class: X.Org Server Extension

ABI class: X.Org Server Extension, version 2.0

(II) Loading extension SELinux

(II) Loading extension MIT-SCREEN-SAVER

(II) Loading extension XFree86-VidModeExtension

(II) Loading extension XFree86-DGA

(II) Loading extension DPMS

(II) Loading extension XVideo

(II) Loading extension XVideo-MotionCompensation

(II) Loading extension X-Resource

(II) LoadModule: "dbe"

(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so

(II) Module dbe: vendor="X.Org Foundation"

compiled for 1.7.7, module version = 1.0.0

Module class: X.Org Server Extension

ABI class: X.Org Server Extension, version 2.0

(II) Loading extension DOUBLE-BUFFER

(II) LoadModule: "record"

(II) Loading /usr/lib/xorg/modules/extensions/librecord.so

(II) Module record: vendor="X.Org Foundation"

compiled for 1.7.7, module version = 1.13.0

Module class: X.Org Server Extension

ABI class: X.Org Server Extension, version 2.0

(II) Loading extension RECORD

(II) LoadModule: "dri"

(II) Loading /usr/lib/xorg/modules/extensions/libdri.so

(II) Module dri: vendor="X.Org Foundation"

compiled for 1.7.7, module version = 1.0.0

ABI class: X.Org Server Extension, version 2.0

(II) Loading extension XFree86-DRI

(II) LoadModule: "dri2"

(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so

(II) Module dri2: vendor="X.Org Foundation"

compiled for 1.7.7, module version = 1.1.0

ABI class: X.Org Server Extension, version 2.0

(II) Loading extension DRI2

(II) LoadModule: "nvidia"

(II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so

(II) Module nvidia: vendor="NVIDIA Corporation"

compiled for 4.0.2, module version = 1.0.0

Module class: X.Org Video Driver

(EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your

(EE) NVIDIA: system's kernel log for additional error messages.

(II) UnloadModule: "nvidia"

(II) Unloading /usr/lib/xorg/modules/drivers/nvidia_drv.so

(EE) Failed to load module "nvidia" (module-specific error, 0)

(EE) No drivers available.

Fatal server error:

no screens found

Share this post


Link to post
Share on other sites

Буквально недавно в Mint ставил нвидиевские драйверы.

nvidia-xconfig сразу после установки запускали? Smile

Share this post


Link to post
Share on other sites

И посмотрите тут - /usr/lib/xorg/modules/drivers/nvidia_drv.so точно не старая версия модуля nvidia_drv.so А то мало ли

Вообще драйвера нужно ставить с сайта

Они сами компилируются и ставятся

Share this post


Link to post
Share on other sites

2Firebird:

В Mint всё прекрасно ставится из реп. Нужно только установить нужную версию драйверов и не забыть запустить nvidia-xconfig сразу после инсталла.

Share this post


Link to post
Share on other sites

nvidia-xconfig запускал. Не помогло. Занесение nouveau в блэклист тоже

>>Firebird

на этот вопрос нет единой точки зрения, в той же вики дебиана рекомендуют ставить дрова из репы. Модуль вроде бы тот, что надо

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...